<?php 
session_start();
 if($_SESSION['usuariogrupo_id']!=1){
	 ?>
	 
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Cuentas
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Cuentas</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
		          <strong>USTED NO TIENE PERMISOS PARA VER ESTA PAGINA</strong> 
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	 <?php 
 }
 else{
?>
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Cuentas
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Cuentas</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="cuentas_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	<!-- formulario de cuentas -->
			<div class="modal fade" id="div_cuentas_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_cuentas_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			
			<div class="modal fade" id="div_subcuentas_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_subcuentas_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
	<!-- busqueda de registros -->	
	<div id="div_cuentas_filtro"></div>
	<!-- listado de registros -->
	<div id="div_cuentas_tabla"></div>
<script type="text/javascript">
	function cuentas_filtro(){	
		$('#div_cuentas_filtro').show();
		$.ajax({						
			url: "../cuentas/cuentas_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
			}),
			beforeSend: function() {
				$('#div_cuentas_filtro').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_cuentas_filtro').html(html);
			},
			complete: function(){			
				$('#div_cuentas_filtro').removeClass("ui-state-disabled");
			}
		});        
	}
	function cuentas_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../cuentas/cuentas_tabla.php",
			async:true,
			dataType: "html",                      
			data: $("#for_cue_filtro").serialize(),
			beforeSend: function() {
				$('#div_cuentas_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_cuentas_tabla').html(html);
			},
			complete: function(){			
				$('#div_cuentas_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function cuentas_form(act,idf){
		$('#div_cuentas_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../cuentas/cuentas_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				cue_id:	idf,
				cuetip_id: $('#cmb_fil_cuetip_id').val()		
			}),
			beforeSend: function() {
				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
				$('.div_cuentas_form').html(div);	
				},
			success: function(html){
				$('.div_cuentas_form').html(html);		
			}
		});
	}
	function subcuentas_form(act,idf,cueid)
	{
		
		$('#div_subcuentas_form_dialog').modal();
		
		$.ajax({
			type: "POST",
			url: "../cuentas/subcuentas_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				subcue_id: idf,
				cue_id: cueid                                        
			}),
			beforeSend: function() { 
				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
				$('.div_subcuentas_form').html(div);	
			},
			success: function(html){        
				$('.div_subcuentas_form').html(html);              
			}
		});
	}
	function eliminar_subcuentas(id)
	{   
		$('#msj_cuentas').hide();   
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../cuentas/subcuentas_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar_sub",
					id:     id
				}),
				beforeSend: function() {
					
				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){                                            
					cuentas_tabla();
				}
			});
		}
	}
	function eliminar_cuentas(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../cuentas/cuentas_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					id:id
				}),
				beforeSend: function() {
					
				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){
					cuentas_tabla();
				}
			});
		}
	}
	function Limpiar_subcuenta(){
		$("#txt_subcue_des").val('');
		$("#txt_subcue_cod").val('');
		$("#txt_subcue_ord").val('');
	}
	$(function() {
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../cuentas/cuentas_vista.php");
		});
		cuentas_filtro();
		setTitle("CUENTAS - "+nombreEmpresa);
	});
</script>
 <?php } ?>